Bug 253890 - add persistent logging to virt-install
add persistent logging to virt-install
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Virtualization Bugs
: OtherQA
Depends On:
Blocks: 246139 246258 296411 372911
  Show dependency treegraph
 
Reported: 2007-08-22 13:48 EDT by Flavio Leitner
Modified: 2010-10-22 14:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2008-0371
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch redone for RHEL-5. (2.67 KB, patch)
2007-08-22 13:48 EDT, Flavio Leitner
no flags Details | Diff

  None (edit)
Description Flavio Leitner 2007-08-22 13:48:05 EDT
Summary:
 [5.1][virtinst] Cannot track the operation by virt-install

Description of Problem:
  virt-install doesn't log anything

How reproducible:
 Always

Step to Reproduce:
 do virt-install and check log is outputted or not

Actual Results:
 log for virt-install is not shown

Expected Results:
 log for virt-install is shown

Additional Info:
This problem is already fixed by following patch.
files : virt-install
changeset 176: e11462a77df5
description : Added persistent logging
date : Fri May 18 09:22:14 2007 -0400
http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=e11462a7 7df5

Patch applies with some fuzz so I redid based on cvs and attached it here.
Comment 1 Flavio Leitner 2007-08-22 13:48:07 EDT
Created attachment 162543 [details]
Upstream patch redone for RHEL-5.
Comment 3 RHEL Product and Program Management 2007-10-15 23:45:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jay Turner 2007-11-22 07:31:39 EST
QE ack for RHEL5.2.  Straightforward to validate.
Comment 5 Cole Robinson 2008-01-17 13:10:05 EST
We are rebasing to virtinst-0.300.2, which fixes this bug:

$ brew latest-pkg dist-5E-qu-candidate python-virtinst
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
python-virtinst-0.300.2-1.el5             dist-5E-qu-candidate  berrange
Comment 7 John Poelstra 2008-03-20 23:55:16 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 8 John Poelstra 2008-04-02 17:37:16 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 10 errata-xmlrpc 2008-05-21 12:45:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0371.html

Note You need to log in before you can comment on or make changes to this bug.